import React from 'react'
import * as classes from "../../styles/ModalEdit.module.css"

export default function ModalEdit({children, visible, setVisible}) {

    const rootClasses = [classes.myModal]
    if (visible) {
        rootClasses.push(classes.active);
    }
    //onClick={()=>setVisible(false)}
    return (
        <div className={rootClasses.join(' ')} >
            <div className={classes.myModalContent}>
                {children}
            </div>
        </div>
    )
}
