import React from "react"
import MyButton from "./MyButton";

export default function OrderSessionItem(props) {
    return (
        <>
            <tr>
                <td>{props.item.session.id}</td>
                <td>{props.item.session.price}</td>
                <td>{props.item.session.cinema.name}</td>
                <td>{new Date(props.item.session.timestamp).toLocaleString('RU-ru')}</td>
                <td>{props.item.count}</td>
                <td><MyButton value={props} /></td>
            </tr>
        </>
    )
}