import React, { useEffect, useState } from "react"
import MyButton from './MyButton'

export default function SessionItem(props) {
    const date = new Date(props.item.timestamp).toLocaleString('RU-ru')

    return (
        <tr>
            <td>{props.item.id}</td>
            <td>{props.item.price}</td>
            <td>{props.item.cinema.name}</td>
            <td>{date}</td>
            <td>{props.item.maxCount - props.item.capacity}</td>
            <td>{props.item.maxCount}</td>
            <td><MyButton value={props} /></td>
        </tr>
    )
}