package com.labwork1.app.student.controller;

import com.labwork1.app.student.model.Cinema;

import java.nio.charset.StandardCharsets;

public class CinemaDto {
    private long id;
    private String name;
    private String image;

    public CinemaDto() {
    }

    public CinemaDto(Cinema cinema) {
        this.id = cinema.getId();
        this.name = cinema.getName();
        this.image = new String(cinema.getImage(), StandardCharsets.UTF_8);
    }

    public void setId(long id) {
        this.id = id;
    }

    public void setName(String name) {
        this.name = name;
    }

    public void setImage(String image) {
        this.image = image;
    }

    public String getImage() {
        return image;
    }

    public long getId() {
        return id;
    }

    public String getName() {
        return name;
    }
}
