package com.labwork1.app.student.repository;

import com.labwork1.app.student.model.Cinema;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;

import java.util.List;

public interface CinemaRepository extends JpaRepository<Cinema, Long> {
    @Query("select p from Cinema p where p.name like CONCAT('%',:search,'%')")
    List<Cinema> findAll(@Param("search") String search);
}
