package com.labwork1.app.student.repository;

import com.labwork1.app.student.model.Order;
import com.labwork1.app.student.model.OrderSession;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;

public interface OrderRepository extends JpaRepository<Order, Long> {
    @Query("Select os from OrderSession os where os.order.id = :orderId and os.session.id = :sessionId")
    OrderSession getOrderSession(@Param("orderId") Long orderId, @Param("sessionId") Long sessionId);
}